From 2affeee9b99294152ab88abb931622e654958dfb Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Wed, 8 Feb 2012 13:59:40 -0600
Subject: Group selector, adheres to course groupmode

---
 grade/report/quick_edit/classes/lib.php      |    4 ++++
 grade/report/quick_edit/index.php            |    4 ++++
 grade/report/quick_edit/lib.php              |   13 +++++++++++++
 grade/report/quick_edit/screens/user/lib.php |    4 ++++
 4 files changed, 25 insertions(+), 0 deletions(-)

diff --git a/grade/report/quick_edit/classes/lib.php b/grade/report/quick_edit/classes/lib.php
index 1918612..c5f0d9b 100644
--- a/grade/report/quick_edit/classes/lib.php
+++ b/grade/report/quick_edit/classes/lib.php
@@ -178,6 +178,10 @@ abstract class quick_edit_screen {
     public function definition() {
         return array();
     }
+
+    public function display_group_selector() {
+        return true;
+    }
 }
 
 abstract class quick_edit_tablelike extends quick_edit_screen {
diff --git a/grade/report/quick_edit/index.php b/grade/report/quick_edit/index.php
index 034406a..1d1719e 100755
--- a/grade/report/quick_edit/index.php
+++ b/grade/report/quick_edit/index.php
@@ -88,6 +88,10 @@ if ($reportname != $pluginname) {
 
 print_grade_page_head($course->id, 'report', 'quick_edit', $reportname);
 
+if ($report->screen->display_group_selector()) {
+    echo $report->group_selector;
+}
+
 if ($data = data_submitted()) {
     $warnings = $report->process_data($data);
 
diff --git a/grade/report/quick_edit/lib.php b/grade/report/quick_edit/lib.php
index cb21d6c..22d0aa0 100755
--- a/grade/report/quick_edit/lib.php
+++ b/grade/report/quick_edit/lib.php
@@ -82,6 +82,19 @@ class grade_report_quick_edit extends grade_report {
 
         // Load custom or predifined js
         $this->screen->js();
+
+        $base = '/grade/report/quick_edit/index.php';
+
+        $id_params = array('id' => $courseid);
+
+        $this->baseurl = new moodle_url($base, $id_params);
+
+        $this->pbarurl = new moodle_url($base, $id_params + array(
+            'item' => $itemtype,
+            'itemid' => $itemid
+        ));
+
+        $this->setup_groups();
     }
 
     function output() {
diff --git a/grade/report/quick_edit/screens/user/lib.php b/grade/report/quick_edit/screens/user/lib.php
index 2da67e0..aa333f8 100644
--- a/grade/report/quick_edit/screens/user/lib.php
+++ b/grade/report/quick_edit/screens/user/lib.php
@@ -24,6 +24,10 @@ class quick_edit_user extends quick_edit_tablelike implements selectable_items {
         );
     }
 
+    public function display_group_selector() {
+        return false;
+    }
+
     public function init($self_item_is_empty = false) {
         global $DB;
 
-- 
1.7.1


